# Magpie Workflow

- [使用说明](#使用说明)
- [开发贡献](#开发贡献)
- [LICENSE](#license)

---

**Magpie Workflow**是一个Flutter开发的工具流，通过workflow实现Flutter模块的创建，开发，编译，打包，上传流程；

整体包含三部分：
* 脚手架：命令行工具，如创建工程，启动可视化界面等
* workflow前端： 开发编译的可视化页面
* workflow后端： 为前端提供服务的server

![](workflow/doc/images/workflow-preview.png)

## 使用说明

### 脚手架安装

确保您安装并正确配置了flutter环境

```
export PATH=/*flutter directory*/flutter/bin:$PATH
```

同时建议配置`dart`相关的环境变量，方便`pub`的使用

```
export PATH="/*flutter directory*/flutter/bin/cache/dart-sdk/bin:$PATH"
export PATH="$PATH":"$HOME/.pub-cache/bin"
```

通过pub或者flutter pub安装mpcli

```shell
pub global activate mgpcli
```

脚手架的开发/编译，请参考[mgpcli 脚手架](CLI.md)

### workflow使用

通过mpcli命令工具可以创建一个flutter项目，并启动worklow进行编译。

1.创建flutter模块工程

```shell
# 创建模板工程
mgpcli create -n flutter_sample
```

2.启动workflow

```shell
# 进入新创建的工程目录内
cd flutter_sample
# 启动workflow
mgpcli start
```

3.进入workflow

**现在已经为您打开了一个浏览器窗口**，请移步至窗口进行：[编译、Attach](http://127.0.0.1:8080)

## 贡献
源码贡献，请参考[CONTRIBUTING](CONTRIBUTING.md)

## LICENSE

[BSD 3-Clause "New" or "Revised" License](LICENSE)