import 'dart:io';

import 'package:jaguar/jaguar.dart';

import '../response_bean.dart';
import '../tools/convert.dart';
import '../utils/logger.dart';
import 'base_controller.dart';

final String api_devices_list = '/api/device/list';
const deviceStart = "__device_start__";
const deviceEnd = "__device_end__";

class DeviceController extends BaseController {
  Future<ResponseBean> getDeviceList(Context ctx) async {
    try {
      ProcessResult result = await Process.run('mgpcli', ['devices']);
      LoggerUtil.w("flutter device command result : ${result.stdout}");
      var origin = result.stdout;
      final start = origin.indexOf(deviceStart);
      final end = origin.indexOf(deviceEnd);
      final deviceList = origin.substring(start + deviceStart.length, end);
      return ResponseBean(jsonDecode(deviceList)['devices']);
    } on Exception catch (e) {
      LoggerUtil.e("flutter device command exception : ${e.toString()}");
      return ResponseBean.error("${e.toString()}");
    }
  }

  @override
  route(String path, Context context) async {
    if (match(path, api_devices_list)) {
      return getDeviceList(context);
    } else {
      return ResponseBean.error("api path error.");
    }
  }
}
