import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../../model/simple_device.dart';
import '../../provider/shared_data_provider.dart';

class BottomBar extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _State();
  }
}

class _State extends State<BottomBar> {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 30,
      padding: EdgeInsets.only(left: 10, right: 10),
      width: double.infinity,
      color: const Color.fromARGB(0xFF, 0x22, 0x22, 0x22),
      child: Consumer<SharedDataProvider>(
        builder: (ctx, provider, child) {
          SimpleDevice device = provider.currentDevice();
          String text = null;
          Color color = Colors.red;
          if (device != null && device.deviceName != null) {
            text = device.deviceName;
            color = Colors.blue;
          } else {
            text = '未连接';
          }
          return Row(
            children: <Widget>[
              Text.rich(TextSpan(
                text: 'Build Number ${provider.buildNumber}',
                style: TextStyle(color: Colors.grey[400], fontSize: 14),
              )),
              Spacer(),
              Text.rich(TextSpan(
                  text: '当前链接设备: ',
                  style: TextStyle(color: Colors.grey[400], fontSize: 14),
                  children: [
                    TextSpan(text: text, style: TextStyle(color: color)),
                  ])),
            ],
          );
        },
      ),
    );
  }
}
