import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ContentPanel extends StatelessWidget {
  final String title;
  final WidgetBuilder builder;
  final bool hideBar;
  final bool darkTheme;
  final Widget bottomBar;

  ContentPanel({
    this.title,
    @required this.builder,
    this.hideBar = false,
    this.darkTheme = true,
    this.bottomBar,
  }) : assert(builder != null);

  @override
  Widget build(BuildContext context) {
    var children = <Widget>[];
    if (!hideBar) {
      children.add(
        Container(
          height: 60,
          width: double.infinity,
          color: const Color.fromARGB(0xFF, 0x22, 0x22, 0x22),
          child: Align(
            alignment: Alignment.center,
            child: Text(title,
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 20,
                )),
          ),
        ),
      );
    }
    children.add(builder(context));
    children.add(bottomBar);

    return Expanded(
      child: darkTheme
          ? Container(
              color: const Color.fromARGB(0xFF, 0x11, 0x11, 0x11),
              child: DefaultTextStyle(
                style: TextStyle(color: Colors.white),
                child: Column(children: children),
              ),
            )
          : Column(children: children),
    );
  }
}
