import 'package:flutter/material.dart';

import '../../utils/dialog_util.dart';
import 'release_upload_android.dart';
import 'release_upload_ios.dart';

///上传发布
class ReleaseUpload extends StatelessWidget{

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Container(
          padding: EdgeInsets.fromLTRB(20, 10, 20, 10),
          height: 44,
          width: double.infinity,
          child: Align(
          alignment: Alignment.centerLeft,
            child:Text('上传',style: TextStyle(color: Colors.white,fontSize: 18),),
          ),
          color: Theme.of(context).primaryColor,
        ),
        ReleaseUploadAndroid(),
        Container(
          height: 1,
          color: Theme.of(context).primaryColor,
        ),
        ReleaseUploadIos(),
        Container(
          padding: EdgeInsets.all(20),
          child: GestureDetector(
            child: Row(
              children: <Widget>[
                Text("需要帮助",style: TextStyle(color: Colors.blue,decoration: TextDecoration.underline),),
                Padding(padding: EdgeInsets.fromLTRB(2, 0, 0, 0),),
                Icon(Icons.help,color: Colors.white,size: 18,)
              ],
            ),
            onTap: (){
              _showHelp(context);
            },
          ),
        )
      ],
    );
  }


  _showHelp(BuildContext context){
    showMarkdownInfo(context, 'doc/help/release_help.md',null);
  }
}