import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:json_annotation/json_annotation.dart';

part 'simple_device.g.dart';

@JsonSerializable()
class SimpleDevice extends Object {
  @JsonKey(name: 'category')
  String category;

  @JsonKey(name: 'deviceId')
  String deviceId;

  @JsonKey(name: 'deviceName')
  String deviceName;

  @JsonKey(name: 'platform')
  String platform;

  SimpleDevice(
    this.category,
    this.deviceId,
    this.deviceName,
    this.platform,
  );

  static SimpleDevice get empty => SimpleDevice("", "", "", "");

  factory SimpleDevice.fromJson(Map<String, dynamic> srcJson) =>
      _$SimpleDeviceFromJson(srcJson);

  Map<String, dynamic> toJson() => _$SimpleDeviceToJson(this);

  static List<SimpleDevice> parseDevices(String origin) {
    debugPrint("decode device=> $origin");
    Map map = jsonDecode(origin);
    var array = map["data"];
    if (array is Iterable) {
      var r = array.map<SimpleDevice>((item) {
        return SimpleDevice.fromJson(item);
      });
      return r.toList();
    }
    return [];
  }
}
